org.apache.synapse.commons

## Class SynapseCommonsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.synapse.commons.SynapseCommonsException

- All Implemented Interfaces:
    java.io.Serializable

      public class SynapseCommonsException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynapseCommonsException(java.lang.String string)`
    `SynapseCommonsException(java.lang.String msg, org.apache.commons.logging.Log synLog)`
    `SynapseCommonsException(java.lang.String msg, java.lang.Throwable e)`
    `SynapseCommonsException(java.lang.String msg, java.lang.Throwable cause, org.apache.commons.logging.Log synLog)`
    `SynapseCommonsException(java.lang.Throwable t)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SynapseCommonsException

          public SynapseCommonsException(java.lang.String string)

    - #### SynapseCommonsException

          public SynapseCommonsException(java.lang.String msg,
                                         java.lang.Throwable e)

    - #### SynapseCommonsException

          public SynapseCommonsException(java.lang.Throwable t)

    - #### SynapseCommonsException

          public SynapseCommonsException(java.lang.String msg,
                                         org.apache.commons.logging.Log synLog)

    - #### SynapseCommonsException

          public SynapseCommonsException(java.lang.String msg,
                                         java.lang.Throwable cause,
                                         org.apache.commons.logging.Log synLog)

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.